import { ClientThreadViewsShape, TextDocumentLocationProviderIDRegistry, PanelViewData } from '@workbench-stack/extension-api';
import { Connection } from '@workbench-stack/extension-api';
import { ViewProviderRegistry } from '../../services/view-service';
export declare class ClientViews implements ClientThreadViewsShape {
    private viewRegistry;
    private textDocumentLocations;
    private subscriptions;
    private panelViews;
    private registrations;
    constructor(connection: Connection, viewRegistry: ViewProviderRegistry, textDocumentLocations: TextDocumentLocationProviderIDRegistry);
    $unregister(id: number): void;
    $registerPanelViewProvider(id: number, provider: {
        id: string;
    }): void;
    $acceptPanelViewUpdate(id: number, data: PanelViewData): void;
    unsubscribe(): void;
}
